const { range, select } = d3;

Math.seedrandom('hello');
const randomData = range(5).map((_) =>
  Math.random()
);

const maxWidth = 960;
const barHeight = 350 / 5;

select('svg')
  .selectAll('rect')
  .data(randomData)
  .join('rect')
  .attr('y', (d, i) => i * barHeight)
  .attr('width', (d) => d * 960)
  .attr('height', barHeight - 10)
  .style('fill', 'gold');

select('svg')
  .selectAll('text')
  .data(randomData)
  .join('text')
  .attr('x', (d) => d * 960 - 10)
  .attr('y', (d, i) => i * barHeight)
  .attr('dy', '1.5em')
  .text((d) => d.toPrecision(3))
  .style('fill', '#0d314e')
  .style('text-anchor', 'end');
